/**
 * 
 */
package edu.jhu.cs.oose.elevel.AdvancedEditCard.dragDrop;

import java.util.ArrayList;
import java.util.List;
import com.trolltech.qt.core.QMimeData;

/**
 * @author Jesse Yates
 */
public class DragDropMimeData extends QMimeData
{
	private List<DragDropItem> items;

	public DragDropMimeData()
	{
		super();
		items = new ArrayList<DragDropItem>();
	}

	public DragDropMimeData(QPrivateConstructor p)
	{
		super(p);
		items = new ArrayList<DragDropItem>();
	}

	public void addDragDrop(DragDropItem item)
	{
		this.items.add(item);
	}

	public List<DragDropItem> getDragDropItem()
	{
		return items;
	}
}
