/**
 * Algorithm.java
 * Group 7, Object Oriented Software Engineering
 * November 14, 2009
 */
package edu.jhu.cs.oose.elevel.utilities;

/**
 * Enum representing the types of algorithms for a {@link Test}. The order of these values must correspond with the
 * order of the buttons in the testing and global preferences sections, as the preferences are selected by button id.
 * 
 * @author H. Parker Shelton
 */
public enum Algorithm
{
	SEQUENTIAL, RANDOM, ADAPTIVE, OTHER
};
