/**
 * 
 */
package edu.jhu.cs.oose.elevel.AdvancedEditCard.dragDrop;

import com.trolltech.qt.core.QPointF;
import com.trolltech.qt.gui.QGraphicsItemInterface;
import com.trolltech.qt.gui.QPen;
import edu.jhu.cs.oose.elevel.AdvancedEditCard.DrawingGraphicsScene;

/**
 * @author Jesse Yates
 */
public interface DragDropItem extends QGraphicsItemInterface
{
	public void syncPos();

	public QPointF oldPosition();

	public void emitMove();

	public void setPen(QPen pen);

	public void setClicked(boolean click);

	public boolean isClicked();

	public boolean checkResizeArea(QPointF eventScene);

	public boolean checkWasResized();

	public void emitResize();

	public void syncSize();

	public DragDropItem copy();

	public void setScene(DrawingGraphicsScene scene);
}
