/**
 * SequentialTestAlgorithm.java
 * Group 7, Object Oriented Software Engineering
 * November 15, 2009
 */
package edu.jhu.cs.oose.elevel.testTaking;

public class SequentialTestAlgorithm extends TestAlgorithm
{
	public SequentialTestAlgorithm(int cardCount, boolean repeat)
	{
		super(cardCount, repeat);
		this.repeat = repeat;
	}

	@Override
	public int nextCard()
	{
		if(currentCardIndex < cardCount - 1 && !repeat)
		{
			currentCardIndex++;
			return currentCardIndex;
		}
		else if(repeat)
		{
			currentCardIndex++;
			if(currentCardIndex >= cardCount)
				currentCardIndex = 0;

			return currentCardIndex;
		}

		return -1;
	}
}
